%define tarname MarkupSafe

%define enable_tests 1

Summary:	XML/HTML/XHTML markup safe string package for Python
Name:		python-markupsafe
Version:	0.23
Release:	%mkrel 1
Source0:	http://pypi.python.org/packages/source/M/MarkupSafe/%{tarname}-%{version}.tar.xz
License:	BSD
Group:		Development/Python
Url:		http://pypi.python.org/pypi/MarkupSafe
BuildRequires:	python-setuptools
%if %enable_tests
BuildRequires:	python-nose
BuildRequires:	python3-nose
%endif
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
Provides:       pythonegg(2)(markupsafe)

%description
This package implements a XML/HTML/XHTML markup safe string for Python.

%package -n python3-markupsafe
Summary:	XML/HTML/XHTML markup safe string package for Python
Group:		Development/Python
Provides:       pythonegg(3)(markupsafe)

%description -n python3-markupsafe
This package implements a XML/HTML/XHTML markup safe string for Python3.

%prep
%setup -q -n %{tarname}-%{version}
rm -rf %{py3dir}
cp -a . %{py3dir}
2to3 --write --nobackups %{py3dir}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT/%{python3_sitearch}/markupsafe/*.c
popd

%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# C code errantly gets installed
rm $RPM_BUILD_ROOT/%{python_sitearch}/markupsafe/*.c

%check
%if %enable_tests
%{__python} setup.py test
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files
%doc AUTHORS LICENSE README.rst
%{python_sitearch}/*

%files -n python3-markupsafe
%doc AUTHORS LICENSE README.rst
%{python3_sitearch}/*



%changelog
* Sat Jun 27 2015 gseaman <galen.seaman at comcast.net> 0.23-1gseaman2015
- rebase on Mageia for python3 support
